Package: io.vertx.groovy.ext.web.sstore

## [Groovy] Class LocalSessionStore

- io.vertx.groovy.ext.web.sstore.LocalSessionStore

- A session store which is only available on a single node.

  Can be used when sticky sessions are being used.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `LocalSessionStore (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static LocalSessionStore` | `create(Vertx vertx)` Create a session store
    `static LocalSessionStore` | `create(Vertx vertx, java.lang.String sessionMapName)` Create a session store
    `static LocalSessionStore` | `create(Vertx vertx, java.lang.String sessionMapName, long reaperInterval)` Create a session store
    `java.lang.Object` | `getDelegate()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SessionStore` | `clear, close, createSession, delete, get, getDelegate, put, retryTimeout, size`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### LocalSessionStore(java.lang.Object delegate)

  - ### Method Detail

    - #### static LocalSessionStore create(Vertx vertx)

      Create a session store

      Returns:
        the session store
      Parameters:
        `vertx` - the Vert.x instance

    - #### static LocalSessionStore create(Vertx vertx, java.lang.String sessionMapName)

      Create a session store

      Returns:
        the session store
      Parameters:
        `vertx` - the Vert.x instance
        `sessionMapName` - name for map used to store sessions

    - #### static LocalSessionStore create(Vertx vertx, java.lang.String sessionMapName, long reaperInterval)

      Create a session store

      Returns:
        the session store
      Parameters:
        `vertx` - the Vert.x instance
        `sessionMapName` - name for map used to store sessions
        `reaperInterval` - how often, in ms, to check for expired sessions

    - #### java.lang.Object getDelegate()